.roller-coaster {
  max-width: var(--max-width);
  margin: 0 auto;
  padding: var(--offset-y) var(--offset-x);
  box-sizing: border-box;
  
  @media (min-width: 781px) {
    display: grid;
    grid-template-columns: minmax(270px, 370px) auto;
    align-items: start;
    gap: 80px;
  }
}

.roller-coaster__aside {
  @media (max-width: 780px) {
    display: none;
  }

  @media (min-width: 781px) {
    position: relative;
  }
}

.roller-coaster__aside::before {
  @media (min-width: 781px) {
    content: '';
    display: block;
    position: absolute;
    top: 75px;
    bottom: 90px;
    left: 22px;
    width: 1px;
    background-color: var(--teal);
  }
}

.roller-coaster__tab {
  font: var(--demi);
  border: none;
  background-color: transparent;
  text-align: left;
  padding: 70px 0;
  display: flex;
  gap: 35px;
  align-items: center;
  z-index: 1;
  position: relative;
  width: 100%;
  cursor: pointer;
}

.roller-coaster__tab--mobile {
  @media (min-width: 781px) {
    display: none;
  }
}

.roller-coaster__tab::after {
  content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='15' height='11' viewBox='0 0 15 11' fill='none'%3E%3Cpath xmlns='http://www.w3.org/2000/svg' d='M13.4143 1.41418L5.16431 9.66418L1.41431 5.91418' stroke='%239650EB' style='mix-blend-mode:darken' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3C/svg%3E");
  display: block;
  align-self: end;
  margin: 0 0 0 auto;
  opacity: 0;
}

.roller-coaster__tab--passed::after {
  opacity: 1;
}

.roller-coaster__tab--active .roller-coaster__tab-spot {
  background-color: var(--teal);
  color: white;
}

.roller-coaster__tab--active .roller-coaster__tab-spot svg path {
  stroke: white;
}

.roller-coaster__tab--active .roller-coaster__tab-topline {
  color: #9650EB;
}

.roller-coaster__tab--active .roller-coaster__tab-headline {
  color: var(--teal);
}

.roller-coaster__tab-spot {
  font-size: 14px;
  font-weight: 700;
  letter-spacing: 0.84px;
  text-transform: uppercase;
  border: 2px solid var(--teal);
  border-radius: 100%;
  width: 45px;
  aspect-ratio: 1/1;
  box-sizing: border-box;
  color: var(--teal);
  background-color: white;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: .3s ease-in-out;
}

.roller-coaster__tab-topline {
  font-size: 12px;
  letter-spacing: 0.72px;
  text-transform: uppercase;
  color: #767676;
}

.roller-coaster__tab-headline {
  font: var(--short);
  font-weight: 700;
  letter-spacing: 0.72px;
  color: #767676
}

.roller-coaster__main {
  @media (max-width: 780px) {
    position: relative;
  }

  @media (min-width: 781px) {
    display: grid;
    grid-template-areas: "main main";
    margin: 3rem 0 0 0;
  }
}

.roller-coaster__main::before {
  @media (max-width: 780px) {
    content: '';
    display: block;
    position: absolute;
    top: 45px;
    bottom: 45px;
    left: 22px;
    width: 1px;
    background-color: var(--teal);
  }
}

.roller-coaster__main--fixed {
  @media (min-width: 781px) {
    position: sticky;
  }
}

.roller-coaster__panel {
  border: 1px solid black;
  border-radius: 12px;
  padding: 20px;
  height: fit-content;
  background-color: white;
  z-index: 1;
  position: relative;
  transition: .3s ease-in-out;
  @media (min-width: 781px) {
    grid-area: main;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    padding: 40px;
  }
}

.roller-coaster__panel--active {
  @media (min-width: 781px) {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
  }
}

.roller-coaster__panel--default {
  display: grid;
  gap: 25px 45px;
  @media (min-width: 1440px) {
    grid-template-columns: 225px auto;
  }
}

.roller-coaster__panel--last {
  background-color: var(--teal);
  color: white;
}

.roller-coaster__panel--last .roller-coaster__panel-headline {
  margin: 0 0 15px 0;
}

.roller-coaster__panel-topline {
  font-size: 12px;
  letter-spacing: 0.72px;
  color: #9650EB;
  text-transform: uppercase;
}

.roller-coaster__panel-headline {
  font: var(--venti);
  color: inherit;
  letter-spacing: 1.28px;
  @media (max-width: 780px) {
    font-size: 24px;
  }

}

.roller-coaster__panel-content {
  font-size: 1rem;
  line-height: 24px;
}

.roller-coaster__panel-content li {
  position: relative;
  padding: 0 0 0 20px;
}

.roller-coaster__panel-content li:before {
  content: '';
  display: inline-block;
  width: 4px;
  aspect-ratio: 1/1;
  background-color: #9650EB;
  border-radius: 100%;
  position: absolute;
  left: 0;
  top: 10px;
}

.roller-coaster__panel-content-block {
  display: grid;
  gap: 15px 40px;
  @media (min-width: 1025px) {
    grid-template-columns: 70px auto;
  }
}

.roller-coaster__panel-content-block + .roller-coaster__panel-content-block {
  padding: 20px 0 0 0;
  margin: 2.roller-coaster__panel-content-block0px 0 0 0;
  border-top: 1px solid #EAEDEF;
  @media (min-width: 781px) {
    padding: 30px 0 0 0;
    margin: 30px 0 0 0;
  }
}

.roller-coaster__panel-content-block > span {
  font-size: 12px;
  text-transform: uppercase;
  color: #767676;
  letter-spacing: 0.72px;
}

.roller-coaster__panel-btn {
  font: var(--short);
  font-weight: 700;
  display: block;
  background-color: white;
  color: var(--teal);
  margin: 20px 0;
  padding: 13px 25px;
  border-radius: 4px;
  text-align: center;
  @media (min-width: 781px) {
    width: fit-content;
  }
}

.roller-coaster__panel-btn::before {
  content: url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyNCIgaGVpZ2h0PSIyNCIgdmlld0JveD0iMCAwIDI0IDI0IiBmaWxsPSJub25lIj4KPHBhdGggZD0iTTEyIDE3VjMiIHN0cm9rZT0iIzAwMzA0MCIgc3Ryb2tlLXdpZHRoPSIyIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+CjxwYXRoIGQ9Ik02IDExTDEyIDE3TDE4IDExIiBzdHJva2U9IiMwMDMwNDAiIHN0cm9rZS13aWR0aD0iMiIgc3Ryb2tlLWxpbmVjYXA9InNxdWFyZSIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPgo8cGF0aCBkPSJNMTkgMjFINSIgc3Ryb2tlPSIjMDAzMDQwIiBzdHJva2Utd2lkdGg9IjIiIHN0cm9rZS1saW5lY2FwPSJzcXVhcmUiIHN0cm9rZS1saW5lam9pbj0icm91bmQiLz4KPC9zdmc+');
  display: inline-block;
  margin: 0 10px 0 0;
  vertical-align: middle;
}

